Subject: Re: git status always modifies index?

From: Junio C Hamano <[email-masked]>
Date: Sat, 02 Dec 2017 16:37:55 -0800

Jonathan Nieder <[email-masked]> writes:

> I am worried that the project is not learning from what happened here.
> ...
> Fair enough, though that feels like overengineering.  But I *still*
> don't see what that has to do with the name "no-optional-locks".  When
> is a lock *optional*?  And how am I supposed to discover this option?
>
> This also came up during review, and I am worried that this review
> feedback is being ignored.  In other words, I have no reason to
> believe it won't happen again.

I too would like to see this part explained a bit better.